biber 想要加载 libcrypt.so.1 但它丢失了

我是 Arch GNU/Linux 用户,通常使用 pacman 管理几乎每个包;我用 tlmgr 管理 TeX 和 LaTeX 相关的东西。我从源代码安装了 tlmgr。

我在写纸。我想使用参考书目。

当我尝试 latexmk -pdflua main.ltx 时:

Rc files read:
  latexmkrc
Latexmk: This is Latexmk, John Collins, 20 November 2021, version: 4.76.
Latexmk: applying rule 'biber main'...
Rule 'biber main': The following rules & subrules became out-of-date:
      'biber main'
------------
Run number 1 of rule 'biber main'
------------
------------
Running 'biber  "main.bcf"'
------------
biber: error while loading shared libraries: libcrypt.so.1: cannot open shared object file: No such file or directory
Latexmk: Errors, so I did not complete making targets
Collected error summary (may duplicate other messages):
  biber main: Could not open biber log file for 'main'
Latexmk: Use the -f option to force complete processing,
 unless error was exceeding maximum runs, or warnings treated as errors.

libcrypt.so* 在我的环境中

$ pacman -Qo /usr/lib/libcrypt*
/usr/lib/libcrypto.so is owned by openssl 1.1.1.m-1
/usr/lib/libcrypto.so.1.1 is owned by openssl 1.1.1.m-1
/usr/lib/libcryptsetup.so is owned by cryptsetup 2.4.3-2
/usr/lib/libcryptsetup.so.12 is owned by cryptsetup 2.4.3-2
/usr/lib/libcryptsetup.so.12.7.0 is owned by cryptsetup 2.4.3-2
/usr/lib/libcrypt.so is owned by libxcrypt 4.4.28-1
/usr/lib/libcrypt.so.2 is owned by libxcrypt 4.4.28-1
/usr/lib/libcrypt.so.2.0.0 is owned by libxcrypt 4.4.28-1

我尝试过的其他

我在 tlmgr 上卸载并重新安装了 biber,但没有用。

# ln -s /usr/lib/libcrypt.so /usr/lib/libcrypt.so.1
$ latexmkrc -pdflua main.ltx
Rc files read:
  latexmkrc
Latexmk: This is Latexmk, John Collins, 20 November 2021, version: 4.76.
Latexmk: applying rule 'biber main'...
Rule 'biber main': The following rules & subrules became out-of-date:
      'biber main'
------------
Run number 1 of rule 'biber main'
------------
------------
Running 'biber  "main.bcf"'
------------
/tmp/par-716861/cache-0e6aa298f0c2e7a775de99938825b2d56bd2027f/biber: /usr/lib/libcrypt.so.1: version `GLIBC_2.2.5' not found (required by /tmp/par-716861/cache-0e6aa298f0c2e7a775de99938825b2d56bd2027f/biber)
Latexmk: Errors, so I did not complete making targets
Collected error summary (may duplicate other messages):
  biber main: Could not open biber log file for 'main'
Latexmk: Use the -f option to force complete processing,
 unless error was exceeding maximum runs, or warnings treated as errors.

文件来源

乳胶MKRC:

$latex='lualatex %O -synctex=1 -interaction=nonstopmode %S';
#$bibtex='upbibtex %O %B';
$bibtex='biber %O %B';
$makeindex='upmendex %O -o %D %S';
$pdf_mode=3;
stack overflow biber wants to load libcrypt.so.1 but it is missing
原文答案
author avatar

接受的答案

按照 libxcrypt-compat 中的建议,从 Core (1) 存储库安装 this answer

这使我在 TeX Live 2020 中的 biber 再次工作。有趣的问题是较新的 TeX 发行版是否也需要这个包。

(1) 感谢@samueldy 提示软件包已从 AUR 移至 Core。


答案:

作者头像

除了@Christoph90 的回答,截至 2022 年 5 月 25 日,TeX Live 2022 中仍需要 libxcrypt-compat 包,以便 biber 在 Manjaro 21.2.6 上运行。但是,该软件包已移至 core/libxcrypt-compat ,因此请通过以下方式安装

sudo pacman -S libxcrypt-compat